Summary: The C++ interface to GTK+
Name: gtkmm
Version: 2.4.11
Release: 1.PU_IAS.1
License: LGPL
Group: System Environment/Libraries
URL: http://gtkmm.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libsigc++-devel >= 2.0
BuildRequires: glibmm-devel >= 2.4.0
BuildRequires: gtk2-devel
BuildRequires: glib2-devel >= 2.4.0
BuildRequires: pango-devel
BuildRequires: atk-devel

%description
gtkmm (previously known as Gtk--) is the official C++ interface
for the popular GUI library GTK+.

This package containts the gtkmm runtime libraries.  Install the
gtkmm-devel package if you want to develop applications using gtkmm.

%package devel
Group: Development/Libraries
Summary: gtkmm development libraries

%description devel
This package installs libraries and include files needed to develop
applications using gtkmm.

%prep
%setup -q
%configure --disable-dependency-tracking --disable-examples --disable-demos

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/doc/gtkmm-2.4/
rm -f $RPM_BUILD_ROOT/usr/share/devhelp/books/gtkmm-2.4/gtkmm-2.4.devhelp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CHANGES COPYING NEWS PORTING README
%{_libdir}/*.so.*
%{_libdir}/pkgconfig/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/gtkmm-*
%{_libdir}/gdkmm-*
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Feb 21 2005 Josko Plazonic <plazonic@math.princeton.edu>
- 2.4.7 version upgrade, used 2.2 rpm as a basis

* Wed Jan 28 2004 Mr. Sam <sam@email-scan.com> 
- Initial build.


